Debians sikkerhedsbulletin

DSA-1130-1 sitebar -- manglende kontrol af inddata

Rapporteret den:
30. jul 2006
Berørte pakker:
sitebar
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 377299.
I Bugtraq-databasen (hos SecurityFocus): BugTraq-id 18680.
I Mitres CVE-ordbog: CVE-2006-3320.
Yderligere oplysninger:

En sårbarhed i forbindelse med udførelse af skripter på tværs af websteder (cross-site scripting) er opdaget i sitebar, et webbaseret program skrevet i PHP til håndtering af bogmærker, hvilket gjorde det muligt for fjernangribere at indsprøjte vilkårlige webskripter eller HTML.

I den stabile distribution (sarge) er dette problem rettet i version 3.2.6-7.1.

I den ustabile distribution (sid) er dette problem rettet i version 3.3.8-1.1.

Vi anbefaler at du opgraderer din sitebar-pakke.

Rettet i:

Debian GNU/Linux 3.1 (sarge)

Kildekode:
http://security.debian.org/pool/updates/main/s/sitebar/sitebar_3.2.6-7.1.dsc
http://security.debian.org/pool/updates/main/s/sitebar/sitebar_3.2.6-7.1.diff.gz
http://security.debian.org/pool/updates/main/s/sitebar/sitebar_3.2.6.orig.tar.gz
Arkitekturuafhængig komponent:
http://security.debian.org/pool/updates/main/s/sitebar/sitebar_3.2.6-7.1_all.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.